#this Lexer is imported from the Scintilla source

[General]
Content=CSS
Lexer.css=38
Extensions.css=CSS File|*.css|;

[Options.css]
WorkingDir=
CommentChar=/*

[Styles.css]
0=Default,fore:#FF0080,eolfilled
1=HTML tag,fore:#800000,swiss,italic
2=Class selector,fore:#800000
3=Pseudo class (HtmlTag:pseudoClass),fore:#800000
4=Unknown Pseudo class,fore:#FF0000
5=Operator,fore:#000080,swiss,bold
6=CSS1 Property,fore:#0040E0
7=Unknown Property,fore:#FF0000
8=Value,fore:#800080
9=Comment,fore:#007F00
10=ID selector (#IdSel),fore:#800000
11=!important,fore:#FF8000
12=At-rule (@) except @media,fore:#008000,swiss,bold
13=Double quoted strings
14=Single quoted strings
15=CSS2 Property,fore:#0040E0
16=Attribute selection ([att='val']),fore:#800000
17=CSS3 Property,fore:#00A0E0
18=Pseudo elements,fore:#C80000
19=Other CSS Property,fore:#7F7F00
20=Other Pseudoclass,fore:#7F7F00
21=Other Pseudoelement,fore:#7F7F00
22=@media
34=Braces match,fore:#FF0000,11,swiss,bold
35=Braces no match,11,swiss,bold

[Keywordset.css.0]
# CSS1 keywords
1=color background-color background-image background-repeat background-attachment background-position background
2=font-family font-style font-variant font-weight font-size font
3=word-spacing letter-spacing text-decoration vertical-align text-transform text-align text-indent line-height
4=margin-top margin-right margin-bottom margin-left margin
5=padding-top padding-right padding-bottom padding-left padding
6=border-top-width border-right-width border-bottom-width border-left-width border-width
7=border-top border-right border-bottom border-left border
8=border-color border-style width height float clear
9=display white-space list-style-type list-style-image list-style-position list-style

# CSS1 values
10=auto none normal italic oblique small-caps bold bolder lighter
11=xx-small x-small small medium large x-large xx-large larger smaller
12=transparent repeat repeat-x repeat-y no-repeat scroll fixed
13=top bottom left center right justify both
14=underline overline line-through blink
15=baseline sub super text-top middle text-bottom
16=capitalize uppercase lowercase thin medium thick
17=dotted dashed solid double groove ridge inset outset
18=block inline list-item pre no-wrap inside outside
19=disc circle square decimal lower-roman upper-roman lower-alpha upper-alpha
20=aqua black blue fuchsia gray green lime maroon navy olive purple red silver teal white yellow


[Keywordset.css.2]
# CSS1 Pseudo Classes
1=link active visited
# CSS2 Pseudo Classes
2=first-child focus hover lang left right first
# CSS3 Pseudo Classes
3=empty enabled disabled checked not root target only-child last-child nth-child nth-last-child
4=first-of-type last-of-type nth-of-type nth-last-of-type only-of-type valid invalid required optional
# Pseudo Elements
5=first-letter first-line before after


[Keywordset.css.3]
# CSS2 keywords
1=border-top-color border-right-color border-bottom-color border-left-color border-color
2=border-top-style border-right-style border-bottom-style border-left-style border-style
3=top right bottom left position z-index direction unicode-bidi
4=min-width max-width min-height max-height overflow clip visibility content quotes
5=counter-reset counter-increment marker-offset
6=size marks page-break-before page-break-after page-break-inside page orphans widows
7=font-stretch font-size-adjust unicode-range units-per-em src
8=panose-1 stemv stemh slope cap-height x-height ascent descent widths bbox definition-src
9=baseline centerline mathline topline text-shadow
10=caption-side table-layout border-collapse border-spacing empty-cells speak-header
11=cursor outline outline-width outline-style outline-color
12=volume speak pause-before pause-after pause cue-before cue-after cue
13=play-during azimuth elevation speech-rate voice-family pitch pitch-range stress richness
14=speak-punctuation speak-numeral


# CSS2 values
15=inherit run-in compact marker table inline-table table-row-group table-header-group table-footer-group
16=table-row table-column-group table-column table-cell table-caption
17=static relative absolute fixed ltr rtl embed bidi-override
18=visible hidden scroll collapse open-quote close-quote no-open-quote no-close-quote
19=decimal-leading-zero lower-greek lower-latin upper-latin hebrew armenian georgian
20=cjk-ideographic hiragana katakana hiragana-iroha katakana-iroha
21=landscape portrait crop cross always avoid
22=wider narrower ultra-condensed extra-condensed condensed semi-condensed
23=semi-expanded expanded extra-expanded ultra-expanded
24=caption icon menu message-box small-caption status-bar
25=separate show hide once crosshair default pointer move text wait help
26=e-resize ne-resize nw-resize n-resize se-resize sw-resize s-resize w-resize
27=ActiveBorder ActiveCaption AppWorkspace Background ButtonFace ButtonHighlight ButtonShadow
28=InactiveCaptionText ButtonText CaptionText GrayText Highlight HighlightText InactiveBorder
29=InactiveCaption InfoBackground InfoText Menu MenuText Scrollbar ThreeDDarkShadow
30=ThreeDFace ThreeDHighlight ThreeDLightShadow ThreeDShadow Window WindowFrame WindowText
31=silent x-soft soft medium loud x-loud spell-out mix
32=left-side far-left center-left center-right far-right right-side behind leftwards rightwards
33=below level above higher lower x-slow slow medium fast x-fast faster slower
34=male female child x-low low high x-high code digits continous

[Keywordset.css.4]
# CSS3 keywords
# CSS3 is a set of standards that are currently still begin worked on,
# so this list is certainly incomplete.
# This list is CSS3 as recognised by firefox 4 as of start of 2011
1=background-size border-radius border-top-right-radius border-bottom-right-radius border-bottom-left-radius
2=border-top-left-radius box-shadow columns column-width column-count column-rule column-gap column-rule-color
3=column-rule-style column-rule-width resize opacity word-wrap

[Keywordset.css.5]
1=link active visited
2=empty enabled disabled checked not root target only-child last-child nth-child nth-last-child
3=first-of-type last-of-type nth-of-type nth-last-of-type only-of-type valid invalid required optional

[Keywordset.css.6]
1=^-moz- ^-webkit- ^-o- ^-ms-

[Keywordset.css.7]
1=indeterminate default
2=^-moz- ^-webkit- ^-o- ^-ms-

[Keywordset.css.8]
1=selection
2=^-moz- ^-webkit- ^-o- ^-ms-
