
[General]
Content=Html,PHP,VXML,Docbook,Macro,VBScript,XML
# XML has a separate lexer also
lexer.html=4
lexer.php=4
lexer.vxml=4
lexer.xml=5
lexer.docbook=4
lexer.macro=4
lexer.vbscript=28
Extensions.html=Html File|*.htm;*.html;*.asp;*.shtml;*.htd;*.htt;*.cfm;*.tpl;*.dtd;*.hta;
Extensions.php=PHP File|*.php3;*.phtml;*.php;
Extensions.vxml=VXML File|*.vxml;
Extensions.xml=XML File|*.xml;*.xsl;*.svg;*.xul;*.xsd;*.dtd;*.xslt;*.axl;*.xrc;*.rdf;
Extensions.docbook=Docbook File|*.docbook;
Extensions.macro=Macro File|*.mak;*.mako;
Extensions.vbscript=VBScript File|*.vbs;*.dsm;
 
[Styles.html]
#HTML Styles
# HTML and XML share lexing code so use the same style numbers
0=Default
1=Tags,fore:#000080
2=Unknown tags,fore:#FF0000
3=Attributes,fore:#008080
4=Unknown attributes,fore:#FF0000
5=Numbers
6=Double quoted strings
7=Single quoted strings
8=Other inside tag,fore:#800080
9=Comments,fore:#808000
10=Entities,fore:#800080
11=XML style tag ends '/>',fore:#000080
12=XML identifier start '<?',fore:#0000FF
13=XML identifier end '?>',fore:#0000FF
14=SCRIPT,fore:#000080
15=ASP <% ... %>,back:#FFFF00
16=ASP <% ... %>,back:#FFDF00
17=CDATA,back:#FFDF00
18=PHP,fore:#0000FF
19=Unquoted values,fore:#FF00FF,back:#FFEFFF
20=JSP Comment <%-- ... --%>,fore:#000000,back:#FFFFD0
# SGML styles
21=SGML tags <! ... >,fore:#000080,back:#EFEFFF
22=SGML command,fore:#000080,back:#EFEFFF,bold
23=SGML 1st param,fore:#006600,back:#EFEFFF
24=SGML double string,fore:#800000,back:#EFEFFF
25=SGML single string,fore:#993300,back:#EFEFFF
26=SGML error,fore:#800000,back:#FF6666
27=SGML special (#xxxx type),fore:#3366FF,back:#EFEFFF
28=SGML entity,fore:#333333,back:#EFEFFF
29=SGML comment,fore:#808000,back:#EFEFFF
31=SGML block,fore:#000066
#31=XML Braces no match,fore:#FF0000,bold

# braces styles
34=Braces match,fore:#0000FF
35=Braces no match,fore:#FF0000,bold

#Embedded Javascript styles
40=JS Start,fore:#7F7F00
41=JS Default,eolfilled,bold
42=JS Comment,eolfilled
43=JS Line Comment
44=JS Doc comment,eolfilled,bold
45=JS Number
46=JS Word
47=JS Keyword,bold
48=JS Double quoted string
49=JS Single quoted string
50=JS Symbols,bold
51=JS EOL,back:#BFBBB0,eolfilled
52=JS RegEx,back:#FFBBB0

# ASP Javascript styles
55=ASP JS Start,fore:#7F7F00
56=ASP JS Default,back:#DFDF7F,eolfilled,bold
57=ASP JS Comment,fore:#007F00,back:#DFDF7F,eolfilled
58=ASP JS Line Comment,fore:#007F00,back:#DFDF7F
59=ASP JS Doc comment,fore:#7F7F7F,back:#DFDF7F,eolfilled,bold
60=ASP JS Number,fore:#007F7F,back:#DFDF7F
61=ASP JS Word,back:#DFDF7F
62=ASP JS Keyword,fore:#00007F,back:#DFDF7F,bold
63=ASP JS Double quoted string,fore:#7F007F,back:#DFDF7F
64=ASP JS Single quoted string,fore:#7F007F,back:#DFDF7F
65=ASP JS Symbols,back:#DFDF7F,bold
66=ASP JS EOL,back:#BFBBB0,eolfilled
67=ASP JS RegEx,back:#FFBBB0

# Embedded VBS styles
70=VBS Start
71=VBS Default,back:#EFEFFF,eolfilled
72=VBS Comment,fore:#008000,back:#EFEFFF,eolfilled
73=VBS Number,fore:#008080,back:#EFEFFF,eolfilled
74=VBS KeyWord,fore:#000080,back:#EFEFFF,eolfilled
75=VBS String,fore:#800080,back:#EFEFFF,eolfilled
76=VBS Identifier,fore:#000080,back:#EFEFFF,eolfilled
77=VBS Unterminated string,fore:#000080,back:#EFEFFF,eolfilled

# ASP VBS
80=ASP VBS Start
81=ASP VBS Default,back:#CFCFEF,eolfilled
82=ASP VBS Comment,fore:#008000,back:#CFCFEF,eolfilled
83=ASP VBS Number,fore:#008080,back:#CFCFEF,eolfilled
84=ASP VBS KeyWord,fore:#000080,back:#CFCFEF,eolfilled,bold
85=ASP VBS String,fore:#800080,back:#CFCFEF,eolfilled
86=ASP VBS Identifier,fore:#000080,back:#CFCFEF,eolfilled
87=ASP VBS Unterminated string,fore:#000080,back:#CFCFEF,eolfilled

# Embedded Python styles
90=Python Start,fore:#808080
91=Python Default,fore:#808080,back:#AC4A3E,eolfilled
92=Python Comment,fore:#007F00,back:#EFFFEF,eolfilled
93=Python Number,fore:#007F7F,back:#EFFFEF,eolfilled
94=Python String,fore:#7F007F,back:#EFFFEF,eolfilled
95=Python Single quoted string,fore:#7F007F,back:#EFFFEF,eolfilled
96=Python Keyword,fore:#00007F,back:#EFFFEF,eolfilled
97=Python Triple quotes,fore:#7F0000,back:#EFFFEF,eolfilled
98=Python Triple double quotes,fore:#7F0000,back:#EFFFEF,eolfilled
99=Python Class name definition,fore:#0000FF,back:#EFFFEF,eolfilled,bold
100=Python Function or method name definition,fore:#007F7F,back:#EFFFEF,eolfilled,bold
101=Python Operators,back:#EFFFEF,eolfilled
102=Python Identifiers,back:#EFFFEF,eolfilled

104=PHP complex variable,fore:#007F00,back:#FFF8F8

# ASP Python
105=ASP Python Start,fore:#808080
106=ASP Python Default,fore:#808080,back:#CFEFCF,eolfilled
107=ASP Python Comment,fore:#007F00,back:#CFEFCF,eolfilled
108=ASP Python Number,fore:#007F7F,back:#CFEFCF,eolfilled
109=ASP Python String,fore:#7F007F,back:#CFEFCF,eolfilled
110=ASP Python Single quoted string,fore:#7F007F,back:#CFEFCF,eolfilled
111=ASP Python Keyword,fore:#00007F,back:#CFEFCF,eolfilled,bold
112=ASP Python Triple quotes,fore:#7F0000,back:#CFEFCF,eolfilled
113=ASP Python Triple double quotes,fore:#7F0000,back:#CFEFCF,eolfilled
114=ASP Python Class name definition,fore:#0000FF,back:#CFEFCF,eolfilled,bold
115=ASP Python Function or method name definition,fore:#007F7F,back:#CFEFCF,eolfilled,bold
116=ASP Python Operators,back:#CFEFCF,eolfilled
117=ASP Python Identifiers,back:#CFEFCF,eolfilled

# PHP Styles
118=PHP Default,fore:#000033,back:#FFF8F8,eolfilled
119=PHP Double quoted String,fore:#007F00,back:#FFF8F8
120=PHP Single quoted string,fore:#009F00,back:#FFFFFF
121=PHP Keywords,fore:#7F007F,back:#FFF8F8,italic
122=PHP Numbers,fore:#CC9900,back:#FFF8F8
123=PHP Variable,fore:#00007F,back:#FFF8F8
124=PHP Comment,fore:#999999,back:#FFFFFF
125=PHP One line comment,fore:#666666,back:#FFFFFF,italic
126=PHP variable in double quoted string,fore:#007F00,back:#FFF8F8,italic
127=PHP operator,back:#FFFFFF


[Styles.xml]
# HTML and XML share lexing code so use the same style numbers
# XML Styles
# XML has different style colours
0=Default
1=Tags,fore:#000080
2=Unknown tags,fore:#000080
3=Attributes,fore:#008080
4=Unknown attributes,fore:#008080
5=Numbers
6=Double quoted strings
7=Single quoted strings
8=Other inside tag,fore:#800080
9=Comments,fore:#808000
10=Entities,fore:#800080
11=XML style tag ends '/>',fore:#000080
12=XML identifier start '<?',fore:#800080,bold
13=XML identifier end '?>',fore:#800080,bold
14=SCRIPT,fore:#000080
15=ASP <% ... %>,back:#FFFF00
16=ASP <% ... %>,back:#FFDF00
17=CDATA,fore:#800000,back:#FFF0F0,eolfilled
18=PHP,fore:#800000
19=Unquoted values,fore:#608060
20=JSP Comment <%-- ... --%>,back:#FFFFD0
21=SGML tags <! ... >,fore:#000080,back:#EFEFFF
22=SGML command,fore:#000080,back:#EFEFFF,bold
23=SGML 1st param,fore:#006600,back:#EFEFFF
24=SGML double string,fore:#800000,back:#EFEFFF
25=SGML single string,fore:#993300,back:#EFEFFF
26=SGML error,fore:#800000,back:#FF6666
27=SGML special (#xxxx type),fore:#3366FF,back:#EFEFFF
28=SGML entity,fore:#333333,back:#EFEFFF
29=SGML comment,fore:#808000,back:#EFEFFF
31=SGML block,fore:#000066,back:#CCCCE0
# No brace matching in XML
#braces.xml.style=31


# HTML
[Keywordset.html.0]
#hypertext.elements
1=a abbr acronym address applet area b base basefont
2=bdo big blockquote body br button caption center
3=cite code col colgroup dd del dfn dir div dl dt em
4=fieldset font form frame frameset h1 h2 h3 h4 h5 h6
5=head hr html i iframe img input ins isindex kbd label
6=legend li link map menu meta noframes noscript
7=object ol optgroup option p param pre q s samp
8=script select small span strike strong style sub sup
9=table tbody td textarea tfoot th thead title tr tt u ul
10=var xml xmlns

#hypertext.attributes
11=abbr accept-charset accept accesskey action align alink
12=alt archive axis background bgcolor border
13=cellpadding cellspacing char charoff charset checked cite
14=class classid clear codebase codetype color cols colspan
15=compact content coords
16=data datafld dataformatas datapagesize datasrc datetime
17=declare defer dir disabled enctype event
18=face for frame frameborder
19=headers height href hreflang hspace http-equiv
20=id ismap label lang language leftmargin link longdesc
21=marginwidth marginheight maxlength media method multiple
22=name nohref noresize noshade nowrap
23=object onblur onchange onclick ondblclick onfocus
24=onkeydown onkeypress onkeyup onload onmousedown
25=onmousemove onmouseover onmouseout onmouseup
26=onreset onselect onsubmit onunload
27=profile prompt readonly rel rev rows rowspan rules
28=scheme scope selected shape size span src standby start style
29=summary tabindex target text title topmargin type usemap
30=valign value valuetype version vlink vspace width
31=text password checkbox radio submit reset
32=file hidden image ^data-

# As defined in "HTML5 differences from HTML4" Working Draft
# http://www.w3.org/TR/html5-diff/
#html5.elements
33=address article aside audio base canvas command details datalist embed
34=figure figcaption footer header hgroup keygen mark menu meter nav output
35=progress ruby rt rp section source time video wbr

#html5.attributes
36=async autocomplete autofocus contenteditable contextmenu draggable
37=form formaction formenctype formmethod formnovalidate formtarget
38=list manifest max min novalidate pattern placeholder
39=required reversed role sandbox scoped seamless sizes spellcheck srcdoc step


# Java Script
[Keywordset.html.1]
1=abstract boolean break byte case catch char class
2=const continue debugger default delete do double else enum export extends
3=final finally float for function goto if implements import in instanceof
4=int interface long native new package private protected public
5=return short static super switch synchronized this throw throws
6=transient try typeof var void volatile while with


# VB Script
[Keywordset.html.2]
# vb6
1=addressof alias and as attribute base begin binary boolean byref byte byval call case cdbl
2=cint clng compare const csng cstr currency date decimal declare defbool defbyte defcur
3=defdate defdbl defdec defint deflng defobj defsng defstr defvar dim do double each else
4=elseif empty end enum eqv erase error event exit explicit false for friend function get
5=global gosub goto if imp implements in input integer is len let lib like load lock long
6=loop lset me mid midb mod new next not nothing null object on option optional or paramarray
7=preserve print private property public raiseevent randomize redim rem resume return rset
8=seek select set single static step stop string sub text then time to true type typeof
9=unload until variant wend while with withevents xor


# Mostly system statements (files, registry, I/O...) that
# I am not sure to include with the regular statements.
# vbotherstatements
10=appactivate beep chdir chdrive close filecopy get input kill line unlock mkdir name
11=open print put reset rmdir savepicture savesetting seek sendkeys setattr width write

# VBNet specific keywords
# vbnet
12=addhandler andalso ansi assembly auto catch cbool cbyte cchar cdate cdec char class
13=cobj continue csbyte cshort ctype cuint culng cushort custom default delegate directcast
14=endif externalsource finally gettype handles imports inherits interface isfalse isnot
15=istrue module mustinherit mustoverride my mybase myclass namespace narrowing notinheritable
16=notoverridable of off operator orelse overloads overridable overrides partial protected
17=readonly region removehandler sbyte shadows shared short strict structure synclock
18=throw try trycast uinteger ulong unicode ushort using when widening writeonly


# Python
[Keywordset.html.3]
1=and as assert break class continue def del elif
2=else except exec finally for from global if import in is lambda not
3=or pass print raise return try while with yield
4=False None True and as assert break class continue
5=def del elif else except finally for from global if import in is lambda
6=nonlocal not or pass raise return try while with yield


# PHP
[Keywordset.html.4]
1=and array as bool boolean break case cfunction class const continue declare
2=default die directory do double echo else elseif empty enddeclare endfor
3=endforeach endif endswitch endwhile eval exit extends false float for
4=foreach function global goto if include include_once int integer isset list namespace
5=new null object old_function or parent print real require require_once resource
6=return static stdclass string switch true unset use var while xor
7=abstract catch clone exception final implements interface php_user_filter
8=private protected public this throw try
9=__class__ __dir__ __file__ __function__ __line__ __method__
10=__namespace__ __sleep __wakeup

# XML
[Keywordset.html.5]
#vxml.elements
1=assign audio block break catch choice clear disconnect else elseif
2=emphasis enumerate error exit field filled form goto grammar help
3=if initial link log menu meta noinput nomatch object option p paragraph
4=param phoneme prompt property prosody record reprompt return s say-as
5=script sentence subdialog submit throw transfer value var voice vxml

#vxml.attributes
6=accept age alphabet anchor application base beep bridge category charset
7=classid cond connecttimeout content contour count dest destexpr dtmf dtmfterm
8=duration enctype event eventexpr expr expritem fetchtimeout finalsilence
9=gender http-equiv id level maxage maxstale maxtime message messageexpr
10=method mime modal mode name namelist next nextitem ph pitch range rate
11=scope size sizeexpr skiplist slot src srcexpr sub time timeexpr timeout
12=transferaudio type value variant version volume xml:lang

# SGML and DTD
[Keywordset.html.6]
1=ELEMENT DOCTYPE ATTLIST ENTITY NOTATION



# START DocBook
[Keywordset.docbook.0]
#docbook.elements42=
1=abbrev abstract accel ackno acronym action address affiliation alt anchor
2=answer appendix appendixinfo application area areaset areaspec arg article
3=articleinfo artpagenums attribution audiodata audioobject author authorblurb
4=authorgroup authorinitials beginpage bibliocoverage bibliodiv biblioentry
5=bibliography bibliographyinfo biblioid bibliomisc bibliomixed bibliomset
6=bibliorelation biblioset bibliosource blockinfo blockquote book bookinfo
7=bridgehead callout calloutlist caption caution chapter chapterinfo citation
8=citebiblioid citerefentry citetitle city classname classsynopsis classsynopsisinfo
9=cmdsynopsis co collab collabname colophon colspec command computeroutput
10=confdates confgroup confnum confsponsor conftitle constant constraint
11=constraintdef constructorsynopsis contractnum contractsponsor contrib
12=copyright coref corpauthor corpname country database date dedication
13=destructorsynopsis edition editor email emphasis entry entrytbl envar
14=epigraph equation errorcode errorname errortext errortype example
15=exceptionname fax fieldsynopsis figure filename firstname firstterm
16=footnote footnoteref foreignphrase formalpara funcdef funcparams
17=funcprototype funcsynopsis funcsynopsisinfo function glossary glossaryinfo
18=glossdef glossdiv glossentry glosslist glosssee glossseealso glossterm
19=graphic graphicco group guibutton guiicon guilabel guimenu guimenuitem
20=guisubmenu hardware highlights holder honorific htm imagedata imageobject
21=imageobjectco important index indexdiv indexentry indexinfo indexterm
22=informalequation informalexample informalfigure informaltable initializer
23=inlineequation inlinegraphic inlinemediaobject interface interfacename
24=invpartnumber isbn issn issuenum itemizedlist itermset jobtitle keycap
25=keycode keycombo keysym keyword keywordset label legalnotice lhs lineage
26=lineannotation link listitem iteral literallayout lot lotentry manvolnum
27=markup medialabel mediaobject mediaobjectco member menuchoice methodname
28=methodparam methodsynopsis mm modespec modifier ousebutton msg msgaud
29=msgentry msgexplan msginfo msglevel msgmain msgorig msgrel msgset msgsub
30=msgtext nonterminal note objectinfo olink ooclass ooexception oointerface
31=option optional orderedlist orgdiv orgname otheraddr othercredit othername
32=pagenums para paramdef parameter part partinfo partintro personblurb
33=personname phone phrase pob postcode preface prefaceinfo primary primaryie
34=printhistory procedure production productionrecap productionset productname
35=productnumber programlisting programlistingco prompt property pubdate publisher
36=publishername pubsnumber qandadiv qandaentry qandaset question quote refclass
37=refdescriptor refentry refentryinfo refentrytitle reference referenceinfo
38=refmeta refmiscinfo refname refnamediv refpurpose refsect1 refsect1info refsect2
39=refsect2info refsect3 refsect3info refsection refsectioninfo refsynopsisdiv
40=refsynopsisdivinfo releaseinfo remark replaceable returnvalue revdescription
41=revhistory revision revnumber revremark rhs row sbr screen screenco screeninfo
42=screenshot secondary secondaryie sect1 sect1info sect2 sect2info sect3 sect3info
43=sect4 sect4info sect5 sect5info section sectioninfo see seealso seealsoie
44=seeie seg seglistitem segmentedlist segtitle seriesvolnums set setindex
45=setindexinfo setinfo sgmltag shortaffil shortcut sidebar sidebarinfo simpara
46=simplelist simplemsgentry simplesect spanspec state step street structfield
47=structname subject subjectset subjectterm subscript substeps subtitle
48=superscript surname sv symbol synopfragment synopfragmentref synopsis
49=systemitem table tbody term tertiary tertiaryie textdata textobject tfoot
50=tgroup thead tip title titleabbrev toc tocback tocchap tocentry tocfront
51=toclevel1 toclevel2 toclevel3 toclevel4 toclevel5 tocpart token trademark
52=type ulink userinput varargs variablelist varlistentry varname videodata
53=videoobject void volumenum warning wordasword xref year

#docbook.attributes=
54=arch condition conformance id lang os remap role revision revisionflag security
55=userlevel vendor xreflabel
56=status label endterm linkend space width

# For Django's template language. Since Django seems to use the same .html extension
# as plain HTML, it is up to the user to integrate these keywords if desired.
#keywordclass.django=
57=not in autoescape with
58=csrf_token cycle empty block endblock filter endfilter for endfor firstof
59=if endif ifchanged endifchanged ifequal endifequal include load now regroup spaceless
60=endspaceless ssi url widthratio add addslashes capfirst center cut date
61=default default_if_none dictsort dictsortreversed divisibleby escape escapejs
62=filesizeformat first fix_ampersands float_format force_escape get_digit
63=iriencode join last length length_is linebreaks linebreaksbr linenumbers ljust
64=lower make_list phone2numeric pluralize pprint random removetags rjust safe
65=safeseq slice slugify stringformat striptags time timesince timeuntil title
66=truncatewords truncatewords_html unordered_list upper urlencode urlize
67=urlizetrunc wordcount wordwrap yesno apnumber intcomma intword ordinal
68=naturalday lorem

[Options.html]
WorkingDir=
CommentChar=//

[Options.PHP]
WorkingDir=
CommentChar=
[Options.XML]
WorkingDir=
CommentChar=

