[General]
Content=Perl,Bash,AWK
Extensions.perl=Perl File|*.perl;*.pl;*.pm;*.cgi;*.pod;
Extensions.bash=Bash File|*.sh;*.bsh;*.bash;*.ksh;
Extensions.awk=AWK File|*.awk;
lexer.perl=6
lexer.bash=62
lexer.awk=6

[Styles.perl]
0=White space,fore:#808080
1=Error
2=Comment,fore:#008000,swiss
3=POD: = at beginning of line,fore:#004000,back:#E0FFE0,eolfilled
4=Number,fore:#0000FF,swiss
5=Keyword,fore:#FF0000,swiss,bold
6=Double quoted string,fore:#008000,swiss
7=Single quoted string,fore:#008000,swiss
8=Symbols/Punctuation. Currently not used by LexPerl
9=Preprocessor. Currently not used by LexPerl
10=Operators,swiss,bold
11=Identifiers (functions etc.)
12=Scalars: $var,back:#FFE0E0
13=Array: @var,back:#FFFFE0
14=Hash: %var,back:#FFE0FF
15=Symbol table: *var,back:#E0E0E0
17=Regex: /re/ or m{re},back:#A0FFA0
18=Substitution: s/re/ore/,back:#F0E080
19=Long Quote,fore:#FFFF00,back:#8080A0
20=Back Ticks,back:#90FFFF
21=Data Section: __DATA__ or __END__ at beginning of line,fore:#600000,back:#FFF0D8,eolfilled
22=Here-doc (delimiter),back:#DDD0DD
23=Here-doc (single quoted- q),fore:#7F007F,back:#DDD0DD,eolfilled
24=Here-doc (double quoted- qq),fore:#7F007F,back:#DDD0DD,swiss,bold
25=Here-doc (back ticks- qx),fore:#7F007F,back:#DDD0DD,swiss,italic
26=Single quoted string- generic,fore:#7F007F
27=qq = Double quoted string
28=qx = Back ticks
29=qr = Regex
30=qw = Array,back:#FFFFE0
31=POD: verbatim paragraphs,fore:#004000,back:#C0FFC0,eolfilled
32=Default
40=subroutine prototype
41=format identifier,fore:#C000C0,swiss,bold
42=format body,fore:#C000C0,back:#FFF0FF,eolfilled
43=Double quoted string (interpolated variable),fore:#D00000,swiss,bold
44=translation: tr{}{} y{}{},back:#F0E080
54=Regex: /re/ or m{re} (interpolated variable),fore:#D00000,swiss,bold
55=Substitution: s/re/ore/ (interpolated variable),fore:#D00000,swiss,bold
57=Back Ticks (interpolated variable),fore:#D00000,swiss,bold
61=Here-doc (double quoted- qq) (interpolated variable),fore:#D00000,swiss,bold
62=Here-doc (back ticks- qx) (interpolated variable),fore:#D00000,swiss,bold
64=qq = Double quoted string (interpolated variable),fore:#D00000,swiss,bold
65=qx = Back ticks (interpolated variable),fore:#D00000,swiss,bold
66=qr = Regex (interpolated variable),fore:#D00000,swiss,bold
34=Braces match
35=Braces no match


[Keywordset.perl.0]
1=NULL __FILE__ __LINE__ __PACKAGE__ __DATA__ __END__ AUTOLOAD
2=BEGIN CORE DESTROY END EQ GE GT INIT LE LT NE CHECK abs accept
3=alarm and atan2 bind binmode bless caller chdir chmod chomp chop
4=chown chr chroot close closedir cmp connect continue cos crypt
5=dbmclose dbmopen defined delete die do dump each else elsif endgrent
6=endhostent endnetent endprotoent endpwent endservent eof eq eval
7=exec exists exit exp fcntl fileno flock for foreach fork format
8=formline ge getc getgrent getgrgid getgrnam gethostbyaddr gethostbyname
9=gethostent getlogin getnetbyaddr getnetbyname getnetent getpeername
10=getpgrp getppid getpriority getprotobyname getprotobynumber getprotoent
11=getpwent getpwnam getpwuid getservbyname getservbyport getservent
12=getsockname getsockopt glob gmtime goto grep gt hex if index
13=int ioctl join keys kill last lc lcfirst le length link listen
14=local localtime lock log lstat lt map mkdir msgctl msgget msgrcv
15=msgsnd my ne next no not oct open opendir or ord our pack package
16=pipe pop pos print printf prototype push quotemeta qu
17=rand read readdir readline readlink readpipe recv redo
18=ref rename require reset return reverse rewinddir rindex rmdir
19=scalar seek seekdir select semctl semget semop send setgrent
20=sethostent setnetent setpgrp setpriority setprotoent setpwent
21=setservent setsockopt shift shmctl shmget shmread shmwrite shutdown
22=sin sleep socket socketpair sort splice split sprintf sqrt srand
23=stat study sub substr symlink syscall sysopen sysread sysseek
24=system syswrite tell telldir tie tied time times truncate
25=uc ucfirst umask undef unless unlink unpack unshift untie until
26=use utime values vec wait waitpid wantarray warn while write
27=xor given when default break say state UNITCHECK __SUB__ fc

[Keywordset.awk.0]
1=BEGIN END
2=if else while do for in break continue delete exit function return
3=print printf sprintf system close getline next nextfile fflush
4=atan2 cos exp int log rand sin sqrt srand
5=asort asorti gensub sub gsub index length match split
6=strtonum substr tolower toupper mktime strftime systime
7=and compl lshift or rshift xor bindtextdomain dcgettext dcngettext
8=ARGC ARGIND ARGV BINMODE CONVFMT ENVIRON ERRNO FIELDWIDTHS
9=FILENAME FNR FS IGNORECASE LINT NF NR OFMT OFS ORS PROCINFO
10=RS RT RSTART RLENGTH SUBSEP TEXTDOMAIN

[Keywordset.bash.0]
1=alias ar asa awk banner basename bash bc bdiff break
2=bunzip2 bzip2 cal calendar case cat cc cd chmod cksum
3=clear cmp col comm compress continue cp cpio crypt
4=csplit ctags cut date dc dd declare deroff dev df diff diff3
5=dircmp dirname do done du echo ed egrep elif else env
6=esac eval ex exec exit expand export expr false fc
7=fgrep fi file find fmt fold for function functions
8=getconf getopt getopts grep gres hash head help
9=history iconv id if in integer jobs join kill local lc
10=let line ln logname look ls m4 mail mailx make
11=man mkdir more mt mv newgrp nl nm nohup ntps od
12=pack paste patch pathchk pax pcat perl pg pr print
13=printf ps pwd read readonly red return rev rm rmdir
14=sed select set sh shift size sleep sort spell
15=split start stop strings strip stty sum suspend
16=sync tail tar tee test then time times touch tr
17=trap true tsort tty type typeset ulimit umask unalias
18=uname uncompress unexpand uniq unpack unset until
19=uudecode uuencode vi vim vpax wait wc whence which
20=while who wpaste wstart xargs zcat

# additional keywords from coreutils
21=bash_keywords2=chgrp chown chroot dir dircolors
22=factor groups hostid install link md5sum mkfifo
23=mknod nice pinky printenv ptx readlink seq
24=sha1sum shred stat su tac unlink users vdir whoami yes

[Options.perl]
WorkingDir=
CommentChar=#~

[Options.bash]
WorkingDir=
CommentChar=#~

[List]

[Commands]
